Skip to main content
GET
/
messages
/
{id}
Get message
curl --request GET \
  --url https://api.weav.com/v1/messages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_type": "customer",
  "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "sent_at": "2023-11-07T05:31:56Z",
  "is_internal": true,
  "from": [
    "<string>"
  ],
  "to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "email_status": "<string>",
  "email_error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Response

Message

id
string<uuid>
conversation_id
string<uuid>
sender_type
enum<string>
Available options:
customer,
user,
agent,
system
sender_id
string<uuid> | null
customer_id
string<uuid> | null
content
string
sent_at
string<date-time> | null
is_internal
boolean | null
from
string[] | null
to
string[] | null
cc
string[] | null
bcc
string[] | null
email_status
string | null
email_error_message
string | null
created_at
string<date-time> | null